Cambrionix connect
Developers
Hardware API

Firmware

Retrieve, add and remove Firmware records associated with Hardware entities.

Get Firmware

GET

/hardware/v1/firmware

Get firmware.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultHardwareFirmware[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/firmware" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Firmware by Id

GET

/hardware/v1/firmware/{hardwareFirmwareId}

Get a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.

Parameters

hardwareFirmwareIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Patch Firmware by Id

PATCH

/hardware/v1/firmware/{hardwareFirmwareId}

Patch a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Write permission. See Authentication.

Parameters

hardwareFirmwareIdstringpathrequired

Path parameter

Request body

object
hardwareobject
idstring
versionstring
metadatamap of any
typestring

One of: "Connect"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "hardware": {
    "id": "string"
  },
  "id": "string",
  "version": "string",
  "type": "Connect"
}'

Delete Firmware by Id

DELETE

/hardware/v1/firmware/{hardwareFirmwareId}

Delete a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Delete permission. See Authentication.

Parameters

hardwareFirmwareIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

List Firmware

GET

/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware

Get all Firmware for a given Hardware Device.

Requires a bearer access token for this API. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

hardwareIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultHardwareFirmware[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Firmware by Id

GET

/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}

Get a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

hardwareIdstringpathrequired

Path parameter

hardwareFirmwareIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Patch Firmware by Id

PATCH

/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}

Patch a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Write permission. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

hardwareIdstringpathrequired

Path parameter

hardwareFirmwareIdstringpathrequired

Path parameter

Request body

object
hardwareobject
idstring
versionstring
metadatamap of any
typestring

One of: "Connect"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultone ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "hardware": {
    "id": "string"
  },
  "id": "string",
  "version": "string",
  "type": "Connect"
}'

Delete Firmware by Id

DELETE

/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}

Delete a firmware record by id.

Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Delete permission. See Authentication.

Parameters

hardwareFamilyIdstringpathrequired

Path parameter

hardwareIdstringpathrequired

Path parameter

hardwareFirmwareIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Firmware

GET

/hardware/v1/organization/hardware/firmware

Get all organization firmware.

Requires a bearer access token for this API with the Organization.Hardware.Firmware.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationHardwareFirmware[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create Organization Firmware

POST

/hardware/v1/organization/hardware/firmware

Create a firmware.

Requires a bearer access token for this API with the Organization.Hardware.Firmware.Write permission. See Authentication.

Request body

object
versionstringrequired
identifierstringrequired

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "version": "string",
  "identifier": "string"
}'

Get Organization Firmware

GET

/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}

Get an organization firmware by id.

Requires a bearer access token for this API with the Organization.Hardware.Firmware.Read permission. See Authentication.

Parameters

organizationHardwareFirmwareIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Organization Firmware

PATCH

/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}

Update an organization firmware by id.

Requires a bearer access token for this API with the Organization.Hardware.Firmware.Write permission. See Authentication.

Parameters

organizationHardwareFirmwareIdstringpathrequired

Path parameter

Request body

object
versionstringrequired

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "version": "string"
}'

Delete Organization Firmware

DELETE

/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}

Delete an organization firmware by id.

Requires a bearer access token for this API with the Organization.Hardware.Firmware.Delete permission. See Authentication.

Parameters

organizationHardwareFirmwareIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"